# Coriolis Core (CRL) Documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CRL::SearchPath::Element Class Reference

An element of the search path (mapping a directory). More...

## Public Member Functions
| Element (const std::string &path="", const std::string &name="")
bool | empty () const
const std::string & | getPath () const
const std::string & | getName () const

## Detailed Description

An element of the search path (mapping a directory).

## Constructor & Destructor Documentation

CRL::SearchPath::Element::Element | ( | const std::string & | path = `""`,
|  | const std::string & | name = `""`
| ) |  |
| inline

A new element bound to `path`, with library `name`.

## Member Function Documentation

size_t CRL::SearchPath::Element::empty | ( |  | ) | const
| inline

Returns
  true if the element is empty (no path).

const std::string & CRL::SearchPath::Element::getPath | ( |  | ) | const
| inline

Returns
  the `path` (directory) of the element.

const std::string & CRL::SearchPath::Element::getName | ( |  | ) | const
| inline

Returns
  the `name` (of the library) of the element.

The documentation for this class was generated from the following files:

- SearchPath.h
- SearchPath.dox

Generated by doxygen 1.8.5 on Thu Mar 19 2020 | Return to top of page

Coriolis Core (CRL) | Copyright © 2008-2016 UPMC All rights reserved